Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Class Eval

Allow easy integration from Groovy into Java through convenience methods.

author:
  Dierk Koenig

Constructor Summary
`Eval()`

Method Summary
`static Object` | `me(String expression)`
`static Object` | `me(String symbol, Object object, String expression)` evaluate expression and make object available inside the expression as 'symbol'
`static Object` | `x(Object x, String expression)` evaluate expression and make x available inside the expression as 'x'
`static Object` | `xy(Object x, Object y, String expression)` evaluate expression and make x and y available inside the expression as 'x' and 'y'
`static Object` | `xyz(Object x, Object y, Object z, String expression)` evaluate expression and make x,y,z available inside the expression as 'x','y','z'

Constructor Detail

### Eval

    Eval()

Method Detail

### me

    public static Object me(String expression)

  param:
    expression the Groovy expression to evaluate
  return:
    the result of the expression
  throws:
    CompilationFailedException if expression is no proper Groovy

### me

    public static Object me(String symbol, Object object, String expression)

  evaluate expression and make object available inside the expression as 'symbol'
  param:
    expression the Groovy expression to evaluate
  return:
    the result of the expression
  throws:
    CompilationFailedException if expression is no proper Groovy

### x

    public static Object x(Object x, String expression)

  evaluate expression and make x available inside the expression as 'x'
  param:
    expression the Groovy expression to evaluate
  return:
    the result of the expression
  throws:
    CompilationFailedException if expression is no proper Groovy

### xy

    public static Object xy(Object x, Object y, String expression)

  evaluate expression and make x and y available inside the expression as 'x' and 'y'
  param:
    expression the Groovy expression to evaluate
  return:
    the result of the expression
  throws:
    CompilationFailedException if expression is no proper Groovy

### xyz

    public static Object xyz(Object x, Object y, Object z, String expression)

  evaluate expression and make x,y,z available inside the expression as 'x','y','z'
  param:
    expression the Groovy expression to evaluate
  return:
    the result of the expression
  throws:
    CompilationFailedException if expression is no proper Groovy